Bug 984138 - slpd fails to start at boot
slpd fails to start at boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openslp (Show other bugs)
18
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 19:52 EDT by Ray Mikkelson
Modified: 2014-02-05 18:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:13:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Mikkelson 2013-07-12 19:52:48 EDT
Description of problem:

The slpd process fails to start during boot.  However, it starts with no
problems after the boot process has completed.

I suspect that this is a similar problem to what I experienced with ypbind failing to start during boot in F16.  The NetworkManager service takes a long time
to start (I have a Bug report open on this problem), causing dependent services
to then fail.  ypbind fixed the problem by adding a dependency on 
NetworkManagerWaitOnline.

My HW is an Optliplex 390, although this seems to happen on many different types of HW (all??).

Version-Release number of selected component (if applicable):
openslp: 1.2.1-17.fc18

How reproducible:
Everytime time box boots

Steps to Reproduce:
1.boot the box, watch it fail
2.
3.

Actual results:

In /var/log/boot.log:

[^[[1;31mFAILED^[[0m] Failed to start LSB: slpd - OpenSLP daemon for the Service Location Protocol.
See 'systemctl status slpd.service' for details.


Output of systemctl status slpd.service:

slpd.service - LSB: slpd - OpenSLP daemon for the Service Location Protocol
   Loaded: loaded (/etc/rc.d/init.d/slpd)
   Active: failed (Result: exit-code) since Fri 2013-07-12 17:53:55 CDT; 40min ago
  Process: 561 ExecStart=/etc/rc.d/init.d/slpd start (code=exited, status=1/FAILURE)

Jul 12 17:53:55 nail.hengsoftware.com systemd[1]: Starting LSB: slpd - OpenSLP daemon for the Service Location Protocol...
Jul 12 17:53:55 nail.hengsoftware.com slpd[561]: Starting slpd: Failed to Detect Multicast Route
Jul 12 17:53:55 nail.hengsoftware.com slpd[561]: Attempting to Add Multicast Route ...
Jul 12 17:53:55 nail.hengsoftware.com slpd[561]: FAILED - Route NOT Added.
Jul 12 17:53:55 nail.hengsoftware.com slpd[561]: Failure: No Route Available for Multicast Traffic
Jul 12 17:53:55 nail.hengsoftware.com systemd[1]: slpd.service: control process exited, code=exited status=1
Jul 12 17:53:55 nail.hengsoftware.com systemd[1]: Failed to start LSB: slpd - OpenSLP daemon for the Service Location Protocol.
Jul 12 17:53:55 nail.hengsoftware.com systemd[1]: Unit slpd.service entered failed state.


no /var/log/slpd.log file is created.



Expected results:

slpd to actually start up at boot.


Additional info:

From /var/log/boot.log (shows sequence of events):


         Starting Network Manager...

.
.
.
[^[[32m  OK  ^[[0m] Started Resets System Activity Logs.
[^[[1;31mFAILED^[[0m] Failed to start LSB: slpd - OpenSLP daemon for the Service Location Protocol.
See 'systemctl status slpd.service' for details.
.
.
.
[^[[32m  OK  ^[[0m] Started Network Manager.
Comment 1 Fedora Admin XMLRPC Client 2013-07-22 06:18:23 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-12-21 10:35:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 18:13:05 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.